#### D.4.24.18 isNormal

Procedure from library `normal.lib` (see normal_lib).

Usage:
  isNormal(I); I ideal.

Return:
  1 if R/I is normal and 0 if R/I is not normal, where R is the basering.

Example:

    LIB "normal.lib";
    ring R = 0, (x,y), dp;
    ideal I1 = x2 - y3;
    isNormal(I1);
    ==> 0
    ideal I2 = x - y3;
    isNormal(I2);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.